Subject: Re: [PATCH 2/5] date API: create a date.h, split from cache.h

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Feb 2022 19:04:25 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Move the declaration of the date.c functions from cache.h, and adjust
> the relevant users to include the new date.h header.

It makes the patch larger than it could be to split off part of
cache.h into a new header and force users to include the new date.h
in the same commit, rather than first including date.h in cache.h
so that users do not have to change, and then update the inclusion
in a separate follow-up commit.   The end result looks OK, though.